dumb platformer

By hellohallo28 :: Tuesday September 3rd, 2019

 

This game requires the Adobe Flash Player.

Enable Flash

make a game

Nothing to say except i strongly dislike this type of game when making it. It's just confusing! Don't wanna spark an argument tho, so please, no hate in comments please! :)

 

More games by hellohallo28